Subject: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Fri, 16 Feb 2018 08:22:39 +0800

EZ> Sorry, I don't understand.  My point was that typing C-M-i or C-. once
EZ> on a correctly spelled word doesn't try to change any other words in
EZ> the buffer.  Flyspell only does that if you invoke that command more
EZ> than once.

The problem is the user might think a word is misspelled and start
hitting the command. After a hit or two he starts to notice the word
isn't changing, or in fact hasn't changed at all.

He thinks, "oh yeah, I spelled it right in the first place, ha ha." And
goes back to his work -- little realizing that way back in the 22nd
paragraph of the 39th clause in the contract he is writing Oxfam has
been changed to Exam etc. etc.

EZ> I'm okay with making this behavior optional, but it will have to be on
EZ> by default, for backward compatibility.

Or have it warn: you are about to change some word that might not even
be on this page. OK just once? Always? Never?